Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233340 - Review Request: goocanvas - A new canvas widget for GTK+ that uses cairo for drawing
Summary: Review Request: goocanvas - A new canvas widget for GTK+ that uses cairo for ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 233342
TreeView+ depends on / blocked
 
Reported: 2007-03-21 18:29 UTC by Bernard Johnson
Modified: 2014-01-27 20:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-03 16:29:10 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-21 18:29:20 UTC
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/goocanvas.spec
SRPM URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/goocanvas-0.6-1.fc6.src.rpm
Description:
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

Comment 1 Gwyn Ciesla 2007-05-04 12:42:53 UTC
rpmlint clean with one exception:
[limb@fawkes SPECS]$ rpmlint -i ../RPMS/i386/goocanvas-devel-0.6-1.i386.rpm 
W: goocanvas-devel no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.


Comment 2 Gwyn Ciesla 2007-05-04 13:41:27 UTC
Meets Package Naming Guidelines.
Spec name is good.
License OK, OK in spec and included.
Spec in American English and legible.
Source MD5 matches upstream

Is there a reason you're not packaging 0.8?

Compiles and builds on FC6/i386.


Comment 3 Gwyn Ciesla 2007-05-04 14:13:59 UTC
Builds in mock, BuildRequires are OK.
Locales handled properly.
Runs ldconfig properly.
Not relocatable.
Directory handling is correct.
No duplicate files.
Permissions are correct, defattr line in place.
Clean section correct and in place.
Macros are consistent.
Code, not content.
No large docs.
Headers are in -devel.
pkgconfig Required, correctly.
.so is in -devel.
Correctly versioned -devel Requires for main package.
All .la removed.
Not a desktop application.
No conflicting ownership.
Install starts by clearing buildroot.
All UTF-8 filenames.

Except for -devel doc issue and possible version update, all MUSTS met.


Comment 4 Gwyn Ciesla 2007-05-04 14:15:49 UTC
No weird scriptlets or file Requires.

Comment 5 Bernard Johnson 2007-05-04 15:40:23 UTC
(In reply to comment #1)
> W: goocanvas-devel no-documentation
> The package contains no documentation (README, doc, etc).
> You have to include documentation files.

There is no documentation relevent to the -devel package.



(In reply to comment #2)
> Is there a reason you're not packaging 0.8?

Actually, yes, and I should have stated it when I submitted.  This package set
(goocanvas and pygoocanvas) were submitted as requirements for the Conduit
(http://www.conduit-project.org/) package I was going to submit.  Current
release of conduit require goocanvas/pygoocanvas 0.6.  There is a new release of
Conduit that will be out this week that should run on 0.7 or 0.8, but I haven't
had a chance to compile it yet.

Comment 6 Gwyn Ciesla 2007-05-04 15:48:47 UTC
Those explanations are both eminently reasonable.
APPROVED.


Comment 7 Bernard Johnson 2007-05-04 16:22:26 UTC
New Package CVS Request
=======================
Package Name: goocanvas
Short Description: A new canvas widget for GTK+ that uses cairo for drawing
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6
InitialCC: bjohnson@symetrix.com

Comment 8 Dennis Gilmore 2007-05-05 15:50:28 UTC
no need to add yourself as the initial cc  as the owner you get all bugzilla 
mail.  cvs is done

Comment 9 Bernard Johnson 2007-05-06 19:27:32 UTC
Thanks for the review.

Comment 10 Bernard Johnson 2007-05-07 18:33:04 UTC
Package Change Request
======================
Package Name: goocanvas

Sorry, FC-5 has some bugs in the BRs that make this package very hard to build.
Given the limited life of FC-5 at this time, I will not be supporting it.

Please remove FC-5 branch.


Comment 11 eric@christensenplace.us 2012-02-02 22:43:18 UTC
Package Change Request
======================
Package Name: goocanvas
New Branches: el5 el6
Owners: sparks

Comment 12 Gwyn Ciesla 2012-02-03 12:55:24 UTC
Git done (by process-git-requests).

Comment 13 Bernard Johnson 2012-02-03 17:17:59 UTC
You don't have to change the bug status to get CVS attention.  Also, I'm changing this back to NEXTRELEASE which is the proper status - NOTABUG indicates a cancelled review.

Comment 14 Eric Christensen 2014-01-27 20:18:10 UTC
Package Change Request
======================
Package Name: goocanvas
New Branches: epel7
Owners: sparks

Comment 15 Gwyn Ciesla 2014-01-27 20:27:25 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.